// Regfile Compare
//Kamyar Rafati & Naeem Esfahani

module RegFile_Compare (A, B, equal, flush, clk);
	input[31:0]	A, B;
	input		clk;
	output		equal, flush;
	reg			equal, flush;

	always @(A or B)
	begin
		if (~clk)
			if (A == B)
			begin
				equal = 1;
				flush = 1;
			end
			else
			begin
				equal = 0;
				flush = 0;
			end
	end		
endmodule
