//32 bit MUX 8 to 1
//Kamyar Rafati & Naeem Esfahani


module MUX8x1_32bit (s, a0, a1, a2, a3, a4, a5, a6, a7, y);
	input[2:0]		s;
	input[31:0]		a0, a1, a2, a3, a4, a5, a6, a7;
	output[31:0]	y;
	reg[31:0]		y;

	always @(s or a0 or a1 or a2 or a3 or a4 or a5 or a6 or a7)
		case (s)
			0:  y=a0;
			1:  y=a1;
			2:  y=a2;
			3:  y=a3;
			4:  y=a4;
			5:  y=a5;
			6:  y=a6;
			7:  y=a7;
		endcase
endmodule
