//2 bit Register
//Kamyar Rafati & Naeem Esfahani

module Reg_2bit (MData, Y, enable, reset, CLK);
	input[1:0]	MData;
	input		CLK, reset, enable;
	output[1:0]	Y;
	reg[1:0]	Y;
	reg[1:0]	Data;

	always @(negedge CLK or MData)
	begin
		if (!reset && enable && !CLK) Data=MData;
	end

	always @(posedge CLK)
	begin
		Y = Data;
	end

	always @(posedge reset)
	begin
		Data = 0;
	end
endmodule
